#

API Docs for: 1.3.0
Show: Inherited Protected Private Deprecated

# ImageLoader Class

Extends EventTarget
Defined in: `src/pixi/loaders/ImageLoader.js:5`
Module: PIXI

The image loader class is responsible for loading images file formats ("jpeg", "jpg", "png" and "gif") Once the image has been loaded it is stored in the PIXI texture cache and can be accessed though PIXI.Texture.fromFrameId() and PIXI.Sprite.fromFromeId() When loaded this class will dispatch a 'loaded' event

## Constructor

### `ImageLoader`

(

- `url`
- `crossorigin`

)

Defined in `src/pixi/loaders/ImageLoader.js:5`

#### Parameters:

- `url` String

  The url of the image

- `crossorigin` Boolean

- Index

## Item Index